wrapper for jquery sparkline plugin
Switch branches/tags
Nothing to show
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
examples
resources
src/cljs_jquery_sparkline
.gitignore
README.md
project.clj

README.md

cljs-jquery-sparkline

wrap-js wrapper for jquery sparkline plugin for clojurescript

  • Inserts sparkline plugin into your webpage if you require the namespace.

  • Because it depends on and references dsann/dsann-cljs-jquery it also inserts jquery into your page

  • in the right order - you get this for free thanks to clojurescripts require semantics

  • That all.

  • Does not define any additional api.

  • See examples for usage

Usage

  • clojars [cljs-jquery-sparkline-1-6 "0.0.1"]

you should also explicitly depend on jquery

  • clojars [cljs-jquery-1-7-1 "0.0.1"] (or appropriate version)

externs

because this lib requires and inlines jquery.js please include:

[:externs ["externs/jquery.1.7.1.js" "externs/jquery-sparkline-1.6.js"]]

if using advanced mode compilation

hopefully this will not be required in the future

License

Copyright (C) 2012 Dave Sann

Distributed under the Eclipse Public License, the same as Clojure.